#11763 closed Bug report (rejected)

FileZilla crashes when starting TLS

Reported by: Markus Grob Owned by:
Priority: normal Component: FileZilla Client
Keywords: tls crash Cc:
Component version: Operating system type: Linux
Operating system version: OpenSuse Leap with kernel 4.4.143

Description

I have updated to 3.37.3 and after I have started a connection to a server, FileZilla chrashes. I have tried it with a fresh installation directory, but the same happens.

Last Loglines:
2018-10-03 20:38:52 31949 1 Befehl: AUTH TLS
2018-10-03 20:38:52 31949 1 Antwort: 234 AUTH TLS OK.
2018-10-03 20:38:52 31949 1 Status: Initialisiere TLS...

If I change back to 3.36.0, all is working normal.

Sincerely, Markus

Change History (5)

comment:1 Changed 18 months ago by Tim Kosse

Status: newmoreinfo

Which version of GnuTLS are you using?

Please try this command om a shell, install the tool if needed and replace the example hostname with the actual one:

gnutls-cli -s --crlf example.org -p 21

Type AUTH TLS, hit enter, then press Ctrl+D

Does it crash as well or does it finish the handshake?

comment:2 Changed 18 months ago by Markus Grob

Status: moreinfonew

Hi

the gnutls-package was not installed. I have downloaded 3.3.27 now.

The query was successfull:

markus@linux-vrvl:~> gnutls-cli -s --crlf sl42.web.hostpoint.ch -p 21
Processed 384 CA certificate(s).
Resolving 'sl42.web.hostpoint.ch'...
Connecting to '217.26.52.21:21'...

  • Simple Client Mode:

220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 4 of 100 allowed.
220-Local time is now 00:21. Server port: 21.
220-This is a private system - No anonymous login
220-IPv6 connections are also welcome on this server.
220 You will be disconnected after 15 minutes of inactivity.
AUTH TLS
234 AUTH TLS OK.
* Starting TLS handshake

  • Certificate type: X.509
  • Got a certificate list of 4 certificates.
  • Certificate[0] info:
    • subject C=CH,postalCode=8640,ST=St. Gallen,L=Rapperswil,street=Neue Jonastrasse 60,O=Hostpoint AG,OU=IT,OU=Wildcard SSL,CN=*.web.hostpoint.ch', issuer C=GB,ST=Greater Manchester,L=Salford,O=COMODO CA Limited,CN=COMODO RSA Organization Validation Secure Server CA', RSA key 2048 bits, signed using RSA-SHA256, activated 2018-08-30 00:00:00 UTC', expires 2020-08-29 23:59:59 UTC', SHA-1 fingerprint `24827204014e7d6b53982196b63ef3370b398c07'

Public Key ID:

5f12541162221e6e06e3e1b41feeceadae085e26

Public key's random art:

+--[ RSA 2048]----+
| = o . +.+o |
| + B o + . |
| + * . |
| = . . |
| o S . . |
| . . o |
|.E o . . |
|..+. o . |
| .. .o=.. |
+-----------------+

  • Certificate[1] info:
    • subject C=GB,ST=Greater Manchester,L=Salford,O=COMODO CA Limited,CN=COMODO RSA Organization Validation Secure Server CA', issuer C=GB,ST=Greater Manchester,L=Salford,O=COMODO CA Limited,CN=COMODO RSA Certification Authority', RSA key 2048 bits, signed using RSA-SHA384, activated 2014-02-12 00:00:00 UTC', expires 2029-02-11 23:59:59 UTC', SHA-1 fingerprint `104c63d2546b8021dd105e9fba5a8d78169f6b32'
  • Certificate[2] info:
    • subject C=GB,ST=Greater Manchester,L=Salford,O=COMODO CA Limited,CN=COMODO RSA Certification Authority', issuer C=SE,O=AddTrust AB,OU=AddTrust External TTP Network,CN=AddTrust External CA Root', RSA key 4096 bits, signed using RSA-SHA384, activated 2000-05-30 10:48:38 UTC', expires 2020-05-30 10:48:38 UTC', SHA-1 fingerprint `f5ad0bcc1ad56cd150725b1c866c30ad92ef21b0'
  • Certificate[3] info:
    • subject C=SE,O=AddTrust AB,OU=AddTrust External TTP Network,CN=AddTrust External CA Root', issuer C=SE,O=AddTrust AB,OU=AddTrust External TTP Network,CN=AddTrust External CA Root', RSA key 2048 bits, signed using RSA-SHA1, activated 2000-05-30 10:48:38 UTC', expires 2020-05-30 10:48:38 UTC', SHA-1 fingerprint `02faf3e291435468607857694df5e45b68851868'
  • Status: The certificate is trusted.
  • Description: (TLS1.2)-(ECDHE-RSA-SECP256R1)-(AES-256-GCM)
  • Session ID: E0:9F:C7:C3:C2:BA:27:46:87:5E:8D:6E:FF:57:45:4E:49:4A:6B:13:6A:54:17:C4:D5:D2:54:A9:3C:5D:3B:19
  • Ephemeral EC Diffie-Hellman parameters
    • Using curve: SECP256R1
    • Curve size: 256 bits
  • Version: TLS1.2
  • Key Exchange: ECDHE-RSA
  • Server Signature: RSA-SHA512
  • Cipher: AES-256-GCM
  • MAC: AEAD
  • Compression: NULL
  • Options: safe renegotiation,

After this message, it is awaiting for something and I have canceled with ctrl-c.

Markus

comment:3 Changed 18 months ago by Tim Kosse

Status: newmoreinfo

FileZilla requires GnuTLS 3.4.15 or later. Please try this again with a gnutls-cli linked against the same version of libgnutls as FileZilla. Check FileZilla's about dialog for the full version number.

Last edited 18 months ago by Tim Kosse (previous) (diff)

comment:4 Changed 18 months ago by Markus Grob

Status: moreinfonew

Same problem in 3.37.4.
If I start it in the konsole, I get the following ine, when it crashes:
./filezilla: symbol lookup error: /home/markus/Downloads/FileZilla3/bin/../lib/libhogweed.so.4: undefined symbol: gmpn_cnd_add_n

Informations:

FileZilla Client


Version: 3.37.4

Build information:

Compiled for: x86_64-pc-linux-gnu
Compiled on: x86_64-pc-linux-gnu
Build date: 2018-10-04
Compiled with: gcc (Debian 6.3.0-18+deb9u1) 6.3.0 20170516
Compiler flags: -g -O2 -Wall

Linked against:

wxWidgets: 3.0.5
SQLite: 3.22.0
GnuTLS: 3.5.19

Operating system:

Name: Linux 4.4.143-65-default x86_64
Version: 4.4
CPU features: sse sse2 sse3 ssse3 sse4.1 sse4.2 avx avx2 aes pclmulqdq rdrnd
Settings dir: /home/markus/.config/filezilla/

Do you need something else?

comment:5 Changed 18 months ago by Tim Kosse

Resolution: rejected
Status: newclosed

You are using the binaries built for Debian 9. The libraries on your system are not compatible with the ones uses on Debian.

You need to recompile FileZilla from source for your platform.

Note: See TracTickets for help on using tickets.